# Created by pyp2rpm-3.3.2
%global srcname pytz_deprecation_shim
%global pypi_name pytz-deprecation-shim

Name:           python-%{pypi_name}
Version:        0.1.0.post0
Release:        %mkrel 4
Summary:        Shims to make deprecation of pytz easier
Group:          Development/Python
License:        ASL 2.0
URL:            https://pypi.org/project/pytz-deprecation-shim/
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  tzdata
BuildRequires:  python3-devel

%description
Shims to make deprecation of pytz easier.

%package -n python3-%{pypi_name}
Summary:        Shims to make deprecation of pytz easier
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{pypi_name}
Shims to make deprecation of pytz easier.

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst


%changelog
* Sun Mar 02 2025 wally <wally> 0.1.0.post0-4.mga10
+ Revision: 2157401
- rebuild for python3.13

* Sun Jan 21 2024 wally <wally> 0.1.0.post0-3.mga10
+ Revision: 2033140
- rebuild for py3.12
- add python3 sub pkg

* Tue Mar 29 2022 umeabot <umeabot> 0.1.0.post0-2.mga9
+ Revision: 1831657
- Mageia 9 Mass Rebuild

* Mon Feb 21 2022 joequant <joequant> 0.1.0.post0-1.mga9
+ Revision: 1782215
- add wheel
- add pyproject rpm
- imported package python-pytz-deprecation-shim

